<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1

/* how to record live input to a buffer */


;create a function table containing only zeros
giTable ftgen 0, 0, 60*sr, 2, 0

;what is the length of the table in seconds
giTableLenSec = ftlen(giTable) / sr


instr RecordToTable

 ;get the microphone input
 aInput inch 1
 
 ;create the pointer
 aPointer linseg 0, giTableLenSec, giTableLenSec*sr
 
 ;write the buffer
 tablew aInput, aPointer, giTable

endin
schedule "RecordToTable", 0, 60

instr PlaybackTable

 aTable poscil3 1, 1/giTableLenSec, giTable
 out aTable, aTable

endin
schedule "PlaybackTable", 1, 60

</CsInstruments>
<CsScore>

</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>467</x>
 <y>186</y>
 <width>401</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
 <bsbObject type="BSBGraph" version="2">
  <objectName/>
  <x>10</x>
  <y>31</y>
  <width>350</width>
  <height>150</height>
  <uuid>{eadb1dbe-b4e7-4852-a968-c1672890b66c}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <value>0</value>
  <objectName2/>
  <zoomx>1.00000000</zoomx>
  <zoomy>1.00000000</zoomy>
  <dispx>1.00000000</dispx>
  <dispy>1.00000000</dispy>
  <modex>lin</modex>
  <modey>lin</modey>
  <all>true</all>
 </bsbObject>
</bsbPanel>
<bsbPresets>
</bsbPresets>
