<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1

/* uses a precise opscillator with cubic interpolation 
to playback a buffer.  transposition and skiptime 
are also applied */


;create a function table containing a sound file
giFox  ftgen 0, 0, 0, 1, "fox.wav", 0, 0, 1

;what is the length of the table in seconds
giTableLenSec = ftlen(giFox) / sr


instr ReadTable

 ;receive skiptime and calculate phase
 iSkip = 2 ;seconds
 iPhase = iSkip / giTableLenSec

 ;receive transposition (cent)
 iCent = 0

 ;speed of reading
 iSpeed = cent(iCent)
 
 ;use an interpolating oscillator to read the table
 aOut poscil3 1, iSpeed/giTableLenSec, giFox, iPhase
 
 ;i like music
 out aOut, aOut

endin
schedule "ReadTable", 0, giTableLenSec

</CsInstruments>
<CsScore>

</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>467</x>
 <y>186</y>
 <width>401</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
 <bsbObject type="BSBGraph" version="2">
  <objectName/>
  <x>10</x>
  <y>31</y>
  <width>350</width>
  <height>150</height>
  <uuid>{eadb1dbe-b4e7-4852-a968-c1672890b66c}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <value>0</value>
  <objectName2/>
  <zoomx>1.00000000</zoomx>
  <zoomy>1.00000000</zoomy>
  <dispx>1.00000000</dispx>
  <dispy>1.00000000</dispy>
  <modex>lin</modex>
  <modey>lin</modey>
  <all>true</all>
 </bsbObject>
</bsbPanel>
<bsbPresets>
</bsbPresets>
